<?php
/*
Plugin Name: CB-Featured
Plugin URI: http://www.cyberblog.net
Description: CB-Featured is a highly customizable featured content plugin which will display your selected posts with a nice scrolling and bouncing effect anywhere within your Wordpress theme. You can customize witdh, height, the category, title color, title font-size, button color etc. Go to Settings > CB-Featured //
Version: 1.0
Author: Cyber Blog
Author URI: http://www.cyberblog.net
*/
/*  Copyright 2009  Cyber Blog  (email : info@cyberblog.net)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

/* options page */
$options_page = get_option('siteurl') . '/wp-admin/admin.php?page=cb-featured/options.php';
/* Adds admin options under "Options" */
function cbb_options_page() {
	add_options_page('CB-Featured Options', 'Настройка CB-Featured', 10, 'cb-featured/options.php');
}

function cbb_styles() {
    /* The next lines figures out where the javascripts installed */
    $cbb_path =  get_bloginfo('wpurl')."/wp-content/plugins/cb-featured/";

    /* The xhtml header code needed for CB-Featured to work: */
	$cbbfeatured = "
	<!-- begin cbbfeatured scripts -->
	<script type=\"text/javascript\" src=\"".$cbb_path."scripts/jquery.js\"></script>
	<script type=\"text/javascript\" src=\"".$cbb_path."scripts/jcarousellite.js\"></script>
	<script type=\"text/javascript\" src=\"".$cbb_path."scripts/easing.js\"></script>
	<script type=\"text/javascript\" src=\"".$cbb_path."scripts/jquery-easing.js\"></script>
	<!-- end cbbfeatured scripts -->\n";
	/* Output $cbbfeatured as text for the pages: */
	echo($cbbfeatured);
}

/* Limit Post*/
function the_content_limit($max_char, $stripteaser = 0, $more_file = '') {
    $content = get_the_content($more_link_text, $stripteaser, $more_file);
    $content = apply_filters('the_content', $content);
    $content = str_replace(']]>', ']]&gt;', $content);
	$content = strip_tags($content);

   if ((strlen($content)>$max_char) && ($espacio = strpos($content, " ", $max_char ))) {
        $content = substr($content, 0, $espacio);
        $content = $content;
      echo "<p>";
      echo $content;
      echo "</p>";
   }
}

/* This code adds the above xhtml to the header of the pages: */
add_action('wp_head', 'cbb_styles');
add_action('admin_menu', 'cbb_options_page');
?>