<?php
$location = $options_page; // Form Action URI
?>

<div class="wrap">
	<h2>Настройка плагина CB-Featured</h2>
	<p>Используйте поля ниже, чтобы настроить плагин CB-Featured: ширина окна слайдера, его высота, рубрика, которую вы хотите подключить к слайдеру, выберите цвет фона, название шрифта, цвет кнопки и т.д.</p>
	
    <div style="margin-left:0px;">
    <form method="post" action="options.php"><?php wp_nonce_field('update-options'); ?>
		<fieldset name="general_options" class="options">

        Ширина в пикселях (px) <font size="1">(например, 490)</font>:<br />
		<div style="margin:0;padding:0;">
        <input name="cbb-width" id="cbb-width" size="25" value="<?php echo get_option('cbb-width'); ?>"></input>
        </div><br />
        
        Высота в пикселях <font size="1">(например, 250)</font>:<br />
		<div style="margin:0;padding:0;">
        <input name="cbb-height" id="cbb-height" size="25" value="<?php echo get_option('cbb-height'); ?>"></input> 
        </div><br />
        
        ID Рубрики <font size="1">(Укажите ID рубрики, записи из которой будут анонсироваться в слайдере, например - 5. Как найти ID - читайте в моем блоге)</font>:<br />
		<div style="margin:0;padding:0;">
        <input name="cbb-category" id="cbb-category" size="25" value="<?php echo get_option('cbb-category'); ?>"></input>   
        </div><br />
        
		Скорость прокрутки картинок <font size="1">(Прокрутка картинок в слайдере в м/сек.(например, 100 = медленно, 1500 = быстро)</font>:<br />
		<div style="margin:0;padding:0;">
        <input name="cbb-speed" id="cbb-speed" size="25" value="<?php echo get_option('cbb-speed'); ?>"></input>   
        </div><br />
		
		Включить эффект отскока? <font size="1">(Выберите 'yes' чтобы активировать / 'no' чтобы отключить.)</font>:<br />
		<div style="margin:0;padding:0;">
        <input name="cbb-effect" id="cbb-effect" size="25" value="<?php echo get_option('cbb-effect'); ?>"></input>   
        </div><br />
		
		Включить атоматическую смену картинок? <font size="1">(Выберите 'yes' чтобы включить / 'no' чтобы отключить.)</font>:<br />
		<div style="margin:0;padding:0;">
        <input name="cbb-auto" id="cbb-auto" size="25" value="<?php echo get_option('cbb-auto'); ?>"></input>   
        </div><br />
		
		Сколько записей и кнопок показывать? <font size="1">(например, 5 - когда вы выберите 5, тогда 5 записей и 5 кнопок будет демонстрироваться в окне слайдера)</font>:<br />
		<div style="margin:0;padding:0;">
        <input name="cbb-number" id="cbb-number" size="25" value="<?php echo get_option('cbb-number'); ?>"></input>   
        </div><br />
		
        Количество знаков в анонсе статьи <font size="1">(Выберите больше, если хотите вывести много текста (абзацы отображаются), например - 200)</font>:<br />
		<div style="margin:0;padding:0;">
        <input name="cbb-limit" id="cbb-limit" size="25" value="<?php echo get_option('cbb-limit'); ?>"></input>   
        </div><br />
        
		Цвет заголовка <font size="1">(Выберите цвет шрифта в анонсе, например, #000000 - будет белый)</font>:<br />
		<div style="margin:0;padding:0;">
        <input name="cbb-color" id="cbb-color" size="25" value="<?php echo get_option('cbb-color'); ?>"></input>   
        </div><br />
		
		Размер шрифта в пикселях <font size="1">(Выберите размер шрифта для заголовка. Рекомендуется 14)</font>:<br />
		<div style="margin:0;padding:0;">
        <input name="cbb-fontsize" id="cbb-fontsize" size="25" value="<?php echo get_option('cbb-fontsize'); ?>"></input>   
        </div><br />
		
		Цвет кнопок <font size="1">(Выберите цвет для кнопок в окне слайдера, например #F1F1EE или имя цвета, например - red)</font>:<br />
		<div style="margin:0;padding:0;">
        <input name="cbb-buttonbg" id="cbb-buttonbg" size="25" value="<?php echo get_option('cbb-buttonbg'); ?>"></input>   
        </div><br />
		
		Цвет границы кнопки <font size="1">(Выберите цвет для границы кнопки, например #C5C2C2 или имя цвета, или оставьте пустым)</font>:<br />
		<div style="margin:0;padding:0;">
        <input name="cbb-buttonborder" id="cbb-buttonborder" size="25" value="<?php echo get_option('cbb-buttonborder'); ?>"></input>   
        </div><br />
		
		Цвет текста на кнопке <font size="1">(Выберите цвет текста на кнопке, например #000000 или имя цвета)</font>:<br />
		<div style="margin:0;padding:0;">
        <input name="cbb-buttontxtcolor" id="cbb-buttontxtcolor" size="25" value="<?php echo get_option('cbb-buttontxtcolor'); ?>"></input>   
        </div><br />
								
        <input type="hidden" name="action" value="update" />
        <input type="hidden" name="page_options" value="cbb-width,cbb-height,cbb-category,cbb-limit,cbb-color,cbb-fontsize,cbb-buttonbg,cbb-buttonborder,cbb-buttontxtcolor,cbb-speed,cbb-effect,cbb-number,cbb-auto" />

		</fieldset>
		<p class="submit"><input type="submit" name="Submit" value="<?php _e('Обновить настройки') ?>" /></p>
		
		<p><strong>Произвольное поле для вывода картинки в Слайдере</strong><br />
        Чтобы отобразить картинку в слайдере, воспользуйтесь возможностью создания Произвольного поля в режиме новой записи или ее редактирования.<br />
		В редакторе Записи перейдите в окно Произвольные поля.<br />
		Используйте имя поля - <strong>featuredimg</strong> и <strong>и полный путь к вашей картинке</strong> в секции Значение.<br /><br /></p>
		
		<p><strong>Добавление функции вывода слайдера в файлы шаблона</strong><br />
        Добавьте функцию вывода слайдера в те файлы шаблона, где вы хотите использовать слайдер (чаще всего - файл index.php):<br />
		
        &lt;&#63;php include &#40;ABSPATH &#46; '/wp-content/plugins/cb-featured/featured.php'&#41;&#59; &#63;&#62;</p>

        <p>CB-Featured Plugin created by <a href="http://www.cyberblog.net">Cyber Blog</a></p>
	<p>Локализация плагина <a href="http://www.bestwordpress.org.ua">Коллекция Wordpress</a></p>
	</form>      
</div>